# class FalseClass

### Public Instance Methods

blank?() click to toggle source

    # File lib/facets/kernel/blank.rb, line 50
    def blank?
      true
    end

clone?() click to toggle source

    # File lib/facets/object/dup.rb, line 45
    def clone? ; false ; end

dup!() click to toggle source

Since FalseClass is immutable it cannot be duplicated. For this reason try_dup returns `self`.

    false.dup!  #=> false

    # File lib/facets/object/dup.rb, line 43
    def dup!   ; self  ; end

dup?() click to toggle source

    # File lib/facets/object/dup.rb, line 44
    def dup?   ; false ; end

to_bool() click to toggle source

    # File lib/facets/boolean.rb, line 45
    def to_bool
      self
    end